import request from '@/utils/request'

// 获取功能分类基本信息
export function getMachineLib(data) {
  return request({
    url: request.apiModule.rpfm + '/machineLib',
    method: 'get',
    params: data
  })
}

//新建功能类别管理
export function createMachineLib(data) {
  return request({
    url: request.apiModule.rpfm + '/machineLib/manager',
    method: 'post',
    data
  })
}

//更新功能类别管理
export function updateMahcineLib(data) {
  return request({
    url: request.apiModule.rpfm + '/machineLib',
    method: 'put',
    data
  })
}

//获取功能类别属性详细信息
export function getMahcineLibInfo(param) {
  return request({
    url: request.apiModule.rpfm + '/machineLib/' + param,
    method: 'get'
  })
}

//新增或更新功能类别详细信息（若是新增detailId填空）（编辑时）
export function updateMahcineLibInfo(data) {
  return request({
    url: request.apiModule.rpfm + '/machineLib/detail',
    method: 'put',
    data
  })
}

//删除功能类别详细信息
export function deleteMahcineLib(id) {
  return request({
    url: request.apiModule.rpfm + '/machineLib/detail',
    method: 'delete',
    data: { id: id }
  })
}
